﻿Pragma foreign_keys=false;

Replace Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("90","90","610","610","1","1","3","7","30");

CREATE TEMPORARY TABLE PlateParam_Tmp ( 
PlateTypeCode nvarchar(10)
, HoleIdx smallint
, Assay nvarchar(20)
, AnalysisMethod smallint
, CalcStart integer
, CalcEnd integer
, CalcExtend integer
, Primary key (PlateTypeCode, HoleIdx) 
);
Insert Into PlateParam_Tmp ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd], [CalcExtend]) Select [PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],'0' From PlateParam;
Insert  Into [PlateParam_Tmp] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','21','PT','3','0','200','400');
Insert  Into [PlateParam_Tmp] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','22','Fib','5','0','200','400');
Insert  Into [PlateParam_Tmp] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','23','TT','4','0','200','400');
Insert  Into [PlateParam_Tmp] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','24','APTT','4','30','600','800');

Drop Table If Exists [PlateParam];
CREATE TABLE PlateParam ( 
PlateTypeCode nvarchar(10)
, HoleIdx smallint
, Assay nvarchar(20)
, AnalysisMethod smallint
, CalcStart integer
, CalcEnd integer
, CalcExtend integer
, Primary key (PlateTypeCode, HoleIdx) 
);
Insert Into PlateParam Select * From PlateParam_Tmp;
Drop Table If Exists [PlateParam_Tmp];



CREATE TEMPORARY TABLE ReactionParam_Tmp (
[AssayName] nvarchar
,[ReactionID] nvarchar(20)
,[MainWave] smallint
,[SecWave] smallint
,[AnalysisMethod] smallint
,[CalcStart] integer
,[CalcEnd] integer
,[CalcExtend] integer
,[CalibMethod] smallint
,[OriFactor] double
,[ReagBlk] double
,[SubSampBlk] smallint
,[UseTwoHole] smallint
,[ExhaustOption] smallint
,[ExhaustValue] double
,[Intercept] double
,[LinearUpper] double
,[LinearLower] double
,[ReactionDir] smallint
,[CalcFormula] smallint
,[ParamD] double
,[ParamE] double
,[ParamF] double
,[ParamG] double
,[ParamH] double
,[ParamI] double
, Primary Key(ReactionID)
);
Insert Into ReactionParam_Tmp ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Select [AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],"0",[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],"0.0","0.0","0.0","0.0","0.0" From ReactionParam;
Insert  Into [ReactionParam_Tmp] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("APTT","APTT","0","1","21","30","600","800","-1","-100.0","0.300000","0","0","0","0.0","100.0","600.0","0.0","0","3","0.04000","0.70000","1.0","0.0","0.0","0.0");
Insert  Into [ReactionParam_Tmp] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("PT","PT","0","1","20","0","200","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","200.0","0.0","0","3","0.07000","0.70000","1.0","0.0","0.0","0.0");
Insert  Into [ReactionParam_Tmp] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("TT","TT","0","1","20","0","200","400","-1","-100.0","0.0","0","0","0","0.0","40.0","200.0","0.0","0","3","0.07000","0.70000","1.0","0.0","0.0","0.0");
Insert  Into [ReactionParam_Tmp] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("Fib","Fib","0","1","22","0","200","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","500","50","0","3","0.07000","0.70000","1.0","0.0","0.0","0.0");

Drop Table If Exists [ReactionParam];
CREATE TABLE ReactionParam (
[AssayName] nvarchar
,[ReactionID] nvarchar(20)
,[MainWave] smallint
,[SecWave] smallint
,[AnalysisMethod] smallint
,[CalcStart] integer
,[CalcEnd] integer
,[CalcExtend] integer
,[CalibMethod] smallint
,[OriFactor] double
,[ReagBlk] double
,[SubSampBlk] smallint
,[UseTwoHole] smallint
,[ExhaustOption] smallint
,[ExhaustValue] double
,[Intercept] double
,[LinearUpper] double
,[LinearLower] double
,[ReactionDir] smallint
,[CalcFormula] smallint
,[ParamD] double
,[ParamE] double
,[ParamF] double
,[ParamG] double
,[ParamH] double
,[ParamI] double
, Primary Key(ReactionID)
);
Insert Into ReactionParam Select * From ReactionParam_Tmp;
Drop Table If Exists [ReactionParam_Tmp];

CREATE TEMPORARY TABLE HoleData_Tmp ( SampleResultID int, HoleIdx smallint, HoleUseFor smallint, IsUsed smallint, Assay nvarchar(20), Unit nvarchar(20), AnalysisMethod smallint, CalcStart smallint, CalcEnd smallint, Respone double, Conc double, Avg double, RefLower double, RefUpper double, IsCalcAssay smallint, IsCalcOK smallint, ErrDescr nvarchar(100), [ConcRef] nvarchar(50), [MainWave] smallint, [SecWave] smallint, [SubSampBlk] smallint, [SampleBlankHole] smallint, [Reactiondir] smallint, [Factor] double, [Intercept] double, [ParamB] double, [HideFlag] smallint, [ParamD] double, [ParamE] double, [ParamF] double, [ParamG] double, [ParamH] double, [ParamI] double, [MaxSpeed] double, [MaxAccX] double, [MaxDecX] double, [MaxAccY] double, [MaxDecY] double, Primary key (SampleResultID, HoleIdx, Assay) );
Insert Into HoleData_Tmp ([SampleResultID], [HoleIdx], [HoleUseFor], [IsUsed], [Assay], [Unit], [AnalysisMethod], [CalcStart], [CalcEnd], [Respone], [Conc], [Avg], [RefLower], [RefUpper], [IsCalcAssay], [IsCalcOK], [ErrDescr], [ConcRef], [MainWave], [SecWave], [SubSampBlk], [SampleBlankHole], [Reactiondir], [Factor], [Intercept], [ParamB], [HideFlag], [ParamD], [ParamE], [ParamF], [ParamG], [ParamH], [ParamI], [MaxSpeed], [MaxAccX], [MaxDecX], [MaxAccY], [MaxDecY]) Select [SampleResultID], [HoleIdx], [HoleUseFor], [IsUsed], [Assay], [Unit], [AnalysisMethod], [CalcStart], [CalcEnd], [Respone], [Conc], [Avg], [RefLower], [RefUpper], [IsCalcAssay], [IsCalcOK], [ErrDescr], [ConcRef], [MainWave], [SecWave], [SubSampBlk], [SampleBlankHole], [Reactiondir], [Factor], [Intercept], [ParamB], [HideFlag], [ParamD], "0.0", "0.0", "0.0", "0.0", "0.0", "0", "0", "0", "0", "0" From HoleData;
Drop Table If Exists [HoleData];
CREATE TABLE HoleData ( SampleResultID int, HoleIdx smallint, HoleUseFor smallint, IsUsed smallint, Assay nvarchar(20), Unit nvarchar(20), AnalysisMethod smallint, CalcStart smallint, CalcEnd smallint, Respone double, Conc double, Avg double, RefLower double, RefUpper double, IsCalcAssay smallint, IsCalcOK smallint, ErrDescr nvarchar(100), [ConcRef] nvarchar(50), [MainWave] smallint, [SecWave] smallint, [SubSampBlk] smallint, [SampleBlankHole] smallint, [Reactiondir] smallint, [Factor] double, [Intercept] double, [ParamB] double, [HideFlag] smallint, [ParamD] double, [ParamE] double, [ParamF] double, [ParamG] double, [ParamH] double, [ParamI] double, [MaxSpeed] double, [MaxAccX] double, [MaxDecX] double, [MaxAccY] double, [MaxDecY] double, Primary key (SampleResultID, HoleIdx, Assay) );
Insert Into HoleData Select * From HoleData_Tmp;
Drop Table If Exists [HoleData_Tmp];

Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("APTT","0","0","53","APTT","活化部分凝血酶时间","APTT","1","s","s","s","1","1.0","1.0","1.0","0.0","0");
Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("PT","0","0","54","PT","凝血酶原时间","PT","1","s","s","s","1","1.0","1.0","1.0","0.0","0");
Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TT","0","0","55","TT","凝血酶时间","TT","1","s","s","s","1","1.0","1.0","1.0","0.0","0");
Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Fib","0","0","56","Fib","纤维蛋白原","Fib","0","mg/dL","mg/dL","mg/dL","1","1.0","1.0","1.0","0.0","0");

Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT","Feline",NULL,NULL,"70","300");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT","Canine",NULL,NULL,"70","300");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT","Feline",NULL,NULL,"10","40");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT","Canine",NULL,NULL,"10","50");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT","Feline",NULL,NULL,"10","40");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT","Canine",NULL,NULL,"10","50");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib","Feline",NULL,NULL,"100","300");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib","Canine",NULL,NULL,"100","300");


Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMean","APTT","延长：内源性途经的凝血因子缺乏；严重纤维蛋白原降低；严重肝病、DIC。缩短：高凝状态（脑血栓、心梗）。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMean","APTT","Time prolonged: Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced :Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMean","APTT","Time prolonged: Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced :Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMean","APTT","Time prolonged: Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced :Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMean","APTT","Time prolonged: Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced :Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMean","PT","延长：外源性途经的凝血缺乏；严重纤维蛋白原降低；维生素K缺乏症；严重肝病。缩短：高凝状态（脑血栓、心梗）。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMean","PT","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMean","PT","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMean","PT","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMean","PT","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction).");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMean","TT","延长：纤维蛋白原减低或结构异常；FDP增多，如纤溶亢进，循环中抗凝物质增多。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMean","TT","Time prolonged: fibrinogen decreased  or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMean","TT","Time prolonged: fibrinogen decreased  or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMean","TT","Time prolonged: fibrinogen decreased  or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMean","TT","Time prolonged: fibrinogen decreased  or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMean","Fib","减少：先天性纤维蛋白原缺乏症；严重肝病。增高：高凝状态：血栓性疾病，急性炎症，手术创伤，恶性肿瘤");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMean","Fib","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMean","Fib","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMean","Fib","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMean","Fib","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","APTT","活化部分凝血活酶时间");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","PT","凝血酶原时间");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","TT","凝血酶时间");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","Fib","纤维蛋白原");


Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values('25','PlateDescr','90','凝血4项');
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values('31','PlateDescr','90','4 Coagulation Parameters');
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values('111','PlateDescr','90','4 Coagulation Parameters');
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values('37','PlateDescr','90','4 Coagulation Parameters');
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values('42','PlateDescr','90','4 Coagulation Parameters');


CREATE TABLE HoleDataDetailBloodClot ( SampleResultID int, HoleIdx int, StartTime double, PointCount smallint, PointTime nvarchar(600), Wave1AD nvarchar(600), Wave1ABS nvarchar(700), Wave2AD nvarchar(600), Wave2ABS nvarchar(700), Wave3AD nvarchar(600), Wave3ABS nvarchar(700), Wave4AD nvarchar(600), Wave4ABS nvarchar(700), Wave5AD nvarchar(600), Wave5ABS nvarchar(700), Wave6AD nvarchar(600), Wave6ABS nvarchar(700), Wave7AD nvarchar(600), Wave7ABS nvarchar(700), Wave8AD nvarchar(600), Wave8ABS nvarchar(700), Primary key (SampleResultID, HoleIdx) );

Pragma foreign_keys=true;
